	{ Ce schema decrit la structure d'un courrier

	  I. Vatton			Octobre 1988	}

STRUCTURE Lettre;

DEFPRES LettreP;

ATTR

   Importance = D\351finition,  Mot_important;

STRUCT

   Lettre (ATTR Labo = IMAG, INRIA, CNRS) = BEGIN
	    Exp\351diteur = Adresse;
	    Destinataire = Adresse;
	    Date_lettre = Text;
	    D\351but = TEXT;
	    Suite_paragraphes;
	    Signature = Text;
	    END;

   Adresse = LIST OF (Ligne_Adresse);
   Ligne_Adresse = TEXT;

   Suite_paragraphes = LIST OF (Paragr);

   Paragr = CASE OF
	    Paragraphe;
	    Image = PICTURE;
	    Remerciements (ATTR Formule = MrouMme,Coll\350gue,Pr\351sident)
			 = TEXT;
	    Autre_Nature = NATURE - (Rapport);
	    END;

ASSOC

   Note = Suite_paragraphes;

UNITS
   Indice = TEXT;
   Exposant = TEXT;
   Ref_note =   REFERENCE (Note);

EXCEPT
   Exp\351diteur:	MoveResize;
   Destinataire:	MoveResize;
   Date_lettre:		MoveResize;
   D\351but:		MoveResize;
   Suite_paragraphes:	MoveResize, ImportParagraph;
   Signature:		MoveResize;
   Adresse:		MoveResize;
   Paragr:		MoveResize;
   Remerciements:	MoveResize;
END
